Module java.compiler
Package javax.lang.model.type

## Interface ArrayType

- All Superinterfaces:
    `AnnotatedConstruct`, `ReferenceType`, `TypeMirror`

      public interface ArrayType
      extends ReferenceType

  Represents an array type. A multidimensional array type is represented as an array type whose component type is also an array type.
  Since:
    1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypeMirror` | `getComponentType​()` | Returns the component type of this array type.

    - ### Methods inherited from interface javax.lang.model.AnnotatedConstruct

      `getAnnotation, getAnnotationMirrors, getAnnotationsByType`

    - ### Methods inherited from interface javax.lang.model.type.TypeMirror

      `accept, equals, getKind, hashCode, toString`

- - ### Method Detail

    - #### getComponentType

          TypeMirror getComponentType​()

      Returns the component type of this array type.
      Returns:
        the component type of this array type